<?php
	include'session.php';
	include'../connection.php';
	include'../functions.php';

?>
<html>
<head>
	<title>Api List</title>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
	<link rel="icon" href="images/logo.png" type="image/gif" sizes="16x16">
	
	<!-- Admin CSS File Link -->
	<link rel="stylesheet" href="css/style.css">
	
	<!-- User JAVA SCRIPT File Link -->
	<script type="text/javascript" src="js/script.js"></script>
	
	
	<!-- Font Awesome Icone -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<style>
		.div1{
			background:;
			width:98%;
			margin:0 1%;
			padding:10px;
		}
		.div1 input, .div1 select{
			height:35px;
			width:200px;
			font-size:15px;
			padding:2px 10px;
			border-radius:5px;
			border:solid #6b5127 1px;
			overflow:hidden;
			margin:5px 10px;
		}
		input[type=submit]{
			background:#6b5127;
			color:white;
			cursor:pointer;
			transition:1s;
		}
		input[type=submit]:hover{
			background:white;
			color:#883333;
			border:solid #6b5127 1px;
			transition:1s;
		}
		.div2{
			background:#f7f7f7;
			width:100%;
			float:left;
			text-align:center;
			padding:10px 20px;
			overflow:auto;
		}
		.div2 table{
			width:98%;
			text-align:center;
			font-size:14px;
			border-collapse:collapse;
			padding:2px 10px;
			margin:1%;
		}
		table th{
			background:#6b5127;
			color:white;
			height:40px;
			border:solid white 1px;
			padding:2px 5px;
		}
		table td{
			background:white;
			height:35px;
			border:solid black 1px;
			padding:2px 5px;
		}
		#lapuList{display:none;}
		.fa-check, .fa-ban{font-size:20px;}
		@media(max-width:768px)
		{
			.div1{
				background:;
				width:100%;
				height:auto;
				margin:10px 0 0 0;
				padding:0;
				text-align:center;
			}
			.div1 input, .div1 select{
				width:90%;
				margin:10px;
			}
			.div2{
				width:100%;
				margin:10px 0 0 0;
				padding:0px;
				text-align:center;
			}
		}
	</style>
	<link rel="stylesheet" href="css/mediaStyle.css">
</head>
<body>
	<!--Header Divison-->
	<?php
		require'header.php';
	?>
	
	<!--Container Division-->
	<div class="container">
		<?php
			include'menu.php';
		?>
		<div class="content">
			<div class="head">
				<div class="title"><p>Lapu List :-</p></div>
				<div class="msg"><marquee><?php include'../msg.php'; ?></marquee></msg>
			</div><hr>
			<div class="data-content">
			    <script>
			        function searchAnyone()
			        {
			            var UsrType = document.getElementById("UsrType").value;
			            if(UsrType=="ANYONE LAPU")
			            {
			                document.getElementById("lapuList").style.display = "inline";
			                document.getElementById("FirmPlace").style.display = "none";
			                document.getElementById("SellerId").style.display = "none";
			            }
			            else
			            {
			                document.getElementById("lapuList").style.display = "none";
			                document.getElementById("FirmPlace").style.display = "inline";
			                document.getElementById("SellerId").style.display = "inline";
			            }
			        }
			        
			        function blockUsr(Arg)
			        {
			            var inpid = Arg;
			            var sellerId = document.getElementById(inpid).value;
			            var confrim_rslt = confirm("Are You Sure To Do Block This User ?");
			            
			            if(confrim_rslt==true)
			            {
			                var xmlhttpState = new XMLHttpRequest();
							xmlhttpState.open("GET","ajax_block_usr.php?sellerId="+sellerId+"&inpid="+inpid, false)
							xmlhttpState.send(null);
							document.getElementById("ip"+inpid).innerHTML = xmlhttpState.responseText;
			            }	
			        }
			        
			        function unblockUsr(Arg)
			        {
			            var inpid = Arg;
			            var sellerId = document.getElementById(inpid).value;
			            var confrim_rslt = confirm("Are You Sure To Do Unblock This User ?");
			            
			            if(confrim_rslt==true)
			            {
			                var xmlhttpState = new XMLHttpRequest();
							xmlhttpState.open("GET","ajax_unblock_usr.php?sellerId="+sellerId+"&inpid="+inpid, false)
							xmlhttpState.send(null);
							document.getElementById("ip"+inpid).innerHTML = xmlhttpState.responseText;
			            }
			        }
			    </script>
				<form method="post">
					<div class="div1">
					    <SELECT NAME="userType" id="UsrType" ONCHANGE="searchAnyone()" >
					    <?php
					        if(isset($_POST['submit']))
					        {
					            $userType = $_POST['userType'];
					                if($userType=="ALL")
								    {
								        $selected1 ="SELECTED";
								    }
								    elseif($userType=="ANYONE LAPU")
								    {
								        $selected2 ="SELECTED";
								    }
					        }
					        echo "<OPTION ".$selected1.">ALL</OPTION>
					        <OPTION ".$selected2.">ANYONE LAPU</OPTION>";
					   ?>
					    </SELECT>
						<select name="seller" id="SellerId" onchange="getFirmBySellerId('ALL')">
						    <option>ALL</option>
						    <?php
						        $quGetRet="SELECT * FROM Seller";
						        $reGetRet=mysqli_query($con,$quGetRet);
						        while($dataGetRet=mysqli_fetch_array($reGetRet))
						        {
						            echo "<option value='".$dataGetRet['Id']."'>".$dataGetRet['Name']." - ".$dataGetRet['City']."</option>";
						        }
						        
						        
						    ?>
						</select>
					    <select name="firm" id="FirmPlace">
					        <option>ALL</option>
					    </select>
					    <input type="text" list="inpDataList" name="lapuNo" id="lapuList">
						<datalist id="inpDataList" >
						    <?php
						        $quGetRet="SELECT * FROM myapi";
						        $reGetRet=mysqli_query($con,$quGetRet);
						        while($dataGetRet=mysqli_fetch_array($reGetRet))
						        {
						            echo "<option value='".$dataGetRet['LapuNumber']."'>".$dataGetRet['LapuNumber']." - ".$dataGetRet['Seller']."</option>";
						        }
						    ?>
						</datalist>
						<input type="submit" name="submit" value="Submit"  onclick='showLoader()'>
					</div>
				</form>
				<div class="div2" id="downlinePlace">
					<table cellpadding="20" border="2"> 
						<tr>
							<th>Sl.</th>
							<th>ID</th>
							<th>Date</th>
							<th>Name<br>Userid</th>
							<th>Token</th>
							<th>IP</th>
							<th>Call Back Url</th>
							<th>Status</th>
							<th>#</th>
							<th>#</th>
						</tr>
						<?php
		                        $resultdate=getBackDate($date,7);
								$sl=0;
								$where1 = "";
								$order1 = "ORDER BY s.Name";
								if(isset($_POST['submit']))
								{
								    $userType  = $_POST['userType'];
								    $seller_id = $_POST['seller'];
								    $firm_id   = $_POST['firm'];
								    $lapuNo    = $_POST['lapuNo'];
								    
								    if($userType!="ALL")
								    {
								        $order1 = "";
								        $where1 = "WHERE l.LapuNo='$lapuNo'";
								    }
								    
								    if($seller_id!="ALL")
								    {
								        $order1 = "";
								        $where1 = "WHERE l.SellerId='$seller_id'";
								        if($firm_id!="ALL")
								        {
								            $where1 = "WHERE l.SellerId='$seller_id' AND l.FirmId='$firm_id'";
								        }
								    }
								}
								else
								{  
								    $order1 = "ORDER BY ApiName";
								}
								    $quApi = "SELECT * FROM api $where1 $order1";
								    $reApi = mysqli_query($con,$quApi);
		    						while($dataApi = mysqli_fetch_array($reApi))
			    					{
				    					$sl=$sl+1;
				    					$api_id = $dataApi['Id'];
				    					$apiName = $dataApi['ApiName'];
					    				echo "<tr>";
						    				echo "<td>".$sl."</td>";
							    			echo "<td>".$api_id."</td>";
							    			echo "<td>".$dataApi['Date']."</td>";
							    			echo "<td>".$apiName."<br>[ ".$dataApi['ApiUsrId']." ]</td>";
							    			echo "<td>".$dataApi['ApiToken']."</td>";
							    			echo "<td>".$dataApi['Api_IP']."</td>";
							    			echo "<td>".$dataApi['cb_url']."</td>";
							    			echo "<td>".$dataApi['Status']."</td>";
									        echo "<td>";
									            echo "<a href='setApiOpCode.php?apiName=$apiName' target='_blank'>Set Op Code</a>";
									        echo "</td>";
									        echo "<td>";
									            echo "<a href='edit_api.php?api_id=$api_id' target='_blank'><i class='fa fa-pencil'></i></a>";
									        echo "</td>";
		    							echo "</tr>";
			    					}
							
						?>
					</table>
				</div>
			</div>
		</div>
	</div>
	<?php
		require'footer.php';
	?>
</body>
</html>